require u-boot-smarc.inc

# u-boot needs devtree compiler to parse dts files
DEPENDS += "dtc-native"

DESCRIPTION = "u-boot bootloader for Embedian SMARC-T437x Computer on Module"

COMPATIBLE_MACHINE = "smarct437x"

LIC_FILES_CHKSUM = "file://Licenses/README;md5=a2c678cfd4a4d97135585cad908541c6"

PV = "2016.05-smarct437x"
PR = "r0+gitr${SRCPV}"

SRC_URI = "${EMB_UBOOT_MIRROR};protocol=ssh;branch=${BRANCH}"

BRANCH = "v2016.05-smarct4x"

SRCREV = "e1b342f434f326271799363383581c0ff22a0bfe"

S = "${WORKDIR}/git"

UBOOT_SUFFIX = "img"

# If TEST# pin is shunt #
# SPL_BINARY = "MLO"
SPL_BINARY = "MLO.byteswap"
UBOOT_SPI_BINARY = "u-boot.img"
SPL_UART_BINARY = "u-boot-spl.bin"
